## ros-melodic-rsm-rqt-plugins 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rsm_rqt_plugins)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rqt_gui
  rqt_gui_cpp
  rsm_msgs
  std_msgs
  std_srvs
)

set(CMAKE_AUTORCC ON)
find_package(cmake_modules REQUIRED)
find_package(Qt5Widgets REQUIRED)
include_directories(${Qt5Widgets_INCLUDE_DIRS} include)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS ${INC_DIR}
  LIBRARIES ${PROJECT_NAME}
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}
  CATKIN_DEPENDS roscpp rqt_gui rqt_gui_cpp
)

###########
## Build ##
###########

## set variables for Statemachine Control node
set(SRCS_CONTROLS
  src/RSMControls.cpp
)
set(HDRS_CONTROLS
  src/RSMControls.h
)
set(UIS_CONTROLS
  src/rsm_controls.ui
)

set(INC_DIR
  include
  ${CMAKE_CURRENT_BINARY_DIR}
)

##########################################################################################
# qt5_wrap_cpp produces moc files for all headers listed
# qt5_wrap_ui produces .h files for all .ui files listed

## Statemachine Control:
qt5_wrap_cpp(MOCS_SRCS_CONTROLS ${HDRS_CONTROLS})
qt5_wrap_ui(UI_HEADER_CONTROLS ${UIS_CONTROLS})

##########################################################################################

include_directories(${INC_DIR} ${catkin_INCLUDE_DIRS})

## Statemachine Control:
add_library(rsm_rqt_plugins ${SRCS_CONTROLS} ${MOCS_SRCS_CONTROLS} ${UI_HEADER_CONTROLS})
target_link_libraries(rsm_rqt_plugins ${catkin_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
add_dependencies(rsm_rqt_plugins ${catkin_EXPORTED_TARGETS})
  
install(TARGETS rsm_rqt_plugins
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
          
install(FILES
  rsm_rqt_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-rsm-rqt-plugins (1.2.1-1stretch) stretch; urgency=high

  * Next try fixing qt dependencies
  * (Hopefully) fixed missing qt5 build errors
  * Contributors: Marco Steinbrink

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Mon, 23 Nov 2020 23:00:00 -0000

ros-melodic-rsm-rqt-plugins (1.2.0-1stretch) stretch; urgency=high

  * Added prefix to state name to identify autonomy behavior
  * Removed double maintainer tags
  * Debounced operation mode buttons
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Tue, 03 Nov 2020 23:00:00 -0000

ros-melodic-rsm-rqt-plugins (1.1.3-1stretch) stretch; urgency=high

  * Added all dependencies to CMakeLists and package.xml, that were missing previously
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-rsm-rqt-plugins (1.1.2-1stretch) stretch; urgency=high



 -- Marco Steinbrink <marco.stb1993@gmail.com>  Tue, 27 Aug 2019 22:00:00 -0000

ros-melodic-rsm-rqt-plugins (1.1.1-1stretch) stretch; urgency=high

  * added changelogs
  * Fixed some dependencies for the new names
  * Changed package names, this time for real
  * Contributors: MarcoStb1993

 -- Marco Steinbrink <marco.stb1993@gmail.com>  Sun, 04 Aug 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rsm-rqt-plugins
Section: misc
Priority: optional
Maintainer: Marco Steinbrink <marco.stb1993@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-roscpp, ros-melodic-rqt-gui, ros-melodic-rqt-gui-cpp, ros-melodic-rsm-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rsm-rqt-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cmake-modules, ros-melodic-roscpp, ros-melodic-rqt-gui, ros-melodic-rqt-gui-cpp, ros-melodic-rsm-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: The rsm_rqt_plugins package includes the Robot Statemachine GUI plugin for rqt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rsm-rqt-plugins//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
